/*
	File: mc33libcompile.h
	Programmed by: David Vega
	February 2018
	Only this file must be included in a project to compile the library MC33
*/
#define marching_cubes_33_h
#include "marching_cubes_33.h" //for customizing
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

typedef struct
{
	GRD_data_type ***F;
	int N[3];
	float L[3], Ang[3];//not necessary
	double r0[3], d[3];
#ifndef _ORTHO_GRD
	int nonortho; //necessary if _ORTHO_GRD is not defined
	double _A[3][3], A_[3][3]; //necessary if _ORTHO_GRD is not defined
#endif
	int periodic;//not necessary
	char title[160];//not necessary
} _GRD;

typedef struct
{
	float ISO;
	int dim2, flag;
	int nV, nT;
	int (**T)[3];
	float (**V)[3];
	float (**N)[3];
	int **color;
} surface;

float invSqrt(float x);
extern void (*mult_Abf)(double (*)[3], float *, float *, int);

#include "marching_cubes_33.c"
